---
kind: pipeline
type: docker
name: build
steps:
- name: build
  image: squidfunk/mkdocs-material:latest
  volumes:
  - name: site
    path: /site
  commands:
#  - pip install -U -r ./requirements.txt
  - pip install --force-reinstall mkdocs
  - mkdocs build --clean -f ./mkdocs.yml
  - cp -r site/* /site/
  - chmod -R 777 /site
volumes:
- name: site
  host:
    path: /volume1/web/docs
trigger:
  branch:
  - main